Update a notification channel
PATCH
/notification-channels/{id}
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Request Body required
Request body
application/jsonname
string
config
object
enabled
boolean
Responses
200
Updated notification channel
application/jsonchannel
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
channel_type
string
REQUIRED
config
string
REQUIRED
enabled
integer
REQUIRED
last_sent_at
string | null
REQUIRED
error_count
integer
REQUIRED
last_error
string | null
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
401
Unauthorized
404
Not found
curl -X PATCH 'https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "config": {}, "enabled": true}'
const response = await fetch('https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "config": {}, "enabled": true })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={ "name": "string", "config": {}, "enabled": true})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "name": "string", "config": {}, "enabled": true}`) req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "channel": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "channel_type": "<string>", "config": "<string>", "enabled": 123, "last_sent_at": "<string>", "error_count": 123, "last_error": "<string>", "created_at": "<string>", "updated_at": "<string>" }}
API Playground
Try this endpoint
PATCH
/notification-channels/{id}